---
title: ServiceWorkerRegistration.getNotifications()
slug: Web/API/ServiceWorkerRegistration/getNotifications
tags:
  - API
  - Experimental
  - Method
  - Notifications
  - Reference
  - Service Workers
  - Service worker API
  - ServiceWorker
  - ServiceWorkerRegistration
  - getNotifications
---
<div>{{APIRef("Service Workers API")}}</div>

<p><span class="seoSummary">The <strong><code>getNotifications()</code></strong> method of the {{domxref("ServiceWorkerRegistration")}} interface returns a list of the notifications in the order that they were created from the current origin via the current service worker registration. Origins can have many active but differently-scoped service worker registrations. Notifications created by one service worker on the same origin will not be available to other active services workers on that same origin.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>serviceWorkerRegistration</em>.getNotifications(<em>options</em>)
.then(function(<em>notificationsList</em>) { ... });</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>options {{optional_inline}}</dt>
 <dd>An object containing options to filter the notifications returned. The available options are:
 <ul>
  <li><code>tag</code>: A {{domxref("DOMString")}} representing a notification tag. If specified, only notifications that have this tag will be returned.</li>
 </ul>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{jsxref("Promise")}} that resolves to a list of {{domxref("Notification")}} objects.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">navigator.serviceWorker.register('sw.js');

var options = { tag : 'user_alerts' };

navigator.serviceWorker.ready.then(function(registration) {
  registration.getNotifications(options).then(function(notifications) {
    // do something with your notifications
  })
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Notifications', '#dom-serviceworkerregistration-getnotifications', 'ServiceWorkerRegistration.getNotifications()')}}</td>
   <td>{{Spec2('Web Notifications')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ServiceWorkerRegistration.getNotifications")}}</p>
